This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 432879 - Cannot mount over 24 krb5 mounts
Cannot mount over 24 krb5 mounts
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Steve Dickson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-14 16:52 EST by drew.middlesworth
Modified: 2009-09-03 09:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:01:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to increase the number of krb5 mounts (638 bytes, patch)
2008-02-14 16:52 EST, drew.middlesworth
no flags Details | Diff

  None (edit)
Description drew.middlesworth 2008-02-14 16:52:55 EST
Description of problem:

nfs-utils-1.0.9-24 cannot mount over around 24 krb5 nfs3 mounts concurrently.
Errors start to show up in /var/log/messages and the mounts time out when accessed.


Version-Release number of selected component (if applicable):

nfs-utils-1.0.9-24.el5

How reproducible:

Always

Steps to Reproduce:
1. As a NFS client, mount up over around 24 krb5 nfs3 file systems. I tested
this using autofs.
2. You will see AUTH_GSS errors in /var/log/messages and the file systems will
hang when accessed.
  
Actual results:

/var/log/messages:
kernel: RPC: AUTH_GSS upcall timed out.
kernel: Please check user daemon is running!

Also the file systems aren't usable and many of them will just timeout when
accessed. 

Expected results:

No errors.

Additional info:

I have included a patch that increases this value to 256, and with that patch
built with the package I  have successfully mounted and accessed over 1800 nfs
concurrent autofs krb5 mounts, although I'm really amazed everything could scale
that high. Feel free to change that number as needed.
Comment 1 drew.middlesworth 2008-02-14 16:52:55 EST
Created attachment 294951 [details]
Patch to increase the number of krb5 mounts
Comment 2 RHEL Product and Program Management 2008-06-02 16:18:18 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Steve Dickson 2008-09-18 08:02:40 EDT
Fixed nfs-utils-1.0.9-36.el5
Comment 7 errata-xmlrpc 2009-01-20 16:01:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0107.html

Note You need to log in before you can comment on or make changes to this bug.